Skip Menu |
 

This queue is for tickets about the GD CPAN distribution.

Report information
The Basics
Id: 99901
Status: resolved
Priority: 0/
Queue: GD

People
Owner: Nobody in particular
Requestors: bojan [...] rexursive.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: GD 2.56 fails to build
Date: Thu, 30 Oct 2014 18:36:34 +1100
To: bug-GD [...] rt.cpan.org
From: Bojan Smojver <bojan [...] rexursive.com>
Download (untitled) / with headers
text/plain 310b
Hi, Just tried building GD 2.56 on RHEL4 i686 (I know - it's old). It refused to build with: ---------------- Can't create bdf2gdfont.pl: Permission denied at bdf_scripts/bdf2gdfont.PLS line 11. ---------------- 2.53 builds fine on the same box (that's the last one I tried before 2.56). Thanks, -- Bojan
Subject: Re: GD 2.56 fails to build
Date: Thu, 30 Oct 2014 18:43:32 +1100
To: bug-GD [...] rt.cpan.org
From: Bojan Smojver <bojan [...] rexursive.com>
Download (untitled) / with headers
text/plain 245b
On Thu, 2014-10-30 at 18:36 +1100, Bojan Smojver wrote: Show quoted text
> 2.53 builds fine on the same box (that's the last one I tried before > 2.56).
Oh, forgot to mention - Perl is 5.16.3, also built on the same box - not what comes with RHEL4. -- Bojan
Download (untitled) / with headers
text/plain 469b
On 2014-10-30 03:36:56, bojan@rexursive.com wrote: Show quoted text
> Hi, > > Just tried building GD 2.56 on RHEL4 i686 (I know - it's old). It > refused to build with: > ---------------- > Can't create bdf2gdfont.pl: Permission denied at > bdf_scripts/bdf2gdfont.PLS line 11. > ---------------- > > 2.53 builds fine on the same box (that's the last one I tried before > 2.56).
This problem exists on all (Unix) platforms if Makefile.PL is used. It seems to work fine with Build.PL.
Download (untitled) / with headers
text/plain 371b
Adding bdf_scripts/bdf2gdfont.pl to MANIFEST.SKIP (maybe together with Makefile.old) fixes *that* problem. At which point another problem comes up: ExtUtils::MakeMaker really wants its *.xs files at the top level, while Module::Build really wants them under lib. There is no sensible way of maxing both happy (Lincoln, you may just drop the Makefile.PL at this point).
Download (untitled) / with headers
text/plain 165b
If someone else fails on installing GD on Ubuntu >= 16.10, even after applying the Debian fixes from RT#114788, just copy or move GD.xs from lib to . and rerun make.
This module is apparently unmaintained. Fixed with RURBAN/GD-2.56_01.tar.gz -- Reini Urban
Subject: Re: [rt.cpan.org #99901] GD 2.56 fails to build
Date: Thu, 20 Apr 2017 06:28:11 +1000
To: bug-GD [...] rt.cpan.org
From: Bojan Smojver <bojan [...] rexursive.com>
Download (untitled) / with headers
text/plain 229b
On Wed, 2017-04-19 at 10:46 -0400, Reini Urban via RT wrote: Show quoted text
> <URL: https://rt.cpan.org/Ticket/Display.html?id=99901 > > > This module is apparently unmaintained. > > Fixed with RURBAN/GD-2.56_01.tar.gz
Thank you! -- Bojan
Download (untitled) / with headers
text/plain 384b
On Wed Apr 19 16:34:08 2017, bojan@rexursive.com wrote: Show quoted text
> On Wed, 2017-04-19 at 10:46 -0400, Reini Urban via RT wrote:
> > <URL: https://rt.cpan.org/Ticket/Display.html?id=99901 > > > > > This module is apparently unmaintained. > > > > Fixed with RURBAN/GD-2.56_01.tar.gz
> > Thank you!
And soon official, with GD-2.57 (just waiting for a few more permissions). -- Reini Urban


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.